%define upstream_name	 Email-MIME
%define upstream_version 1.937

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Easy MIME message parsing
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Email/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Email::Address)
BuildRequires: perl(Email::MIME::ContentType) >= 1.16.0
BuildRequires: perl(Email::MIME::Encodings) >= 1.314.0
BuildRequires: perl(Email::MessageID)
BuildRequires: perl(Email::Simple) >= 2.206.0
BuildRequires: perl(Email::Simple::Creator)
BuildRequires: perl(Email::Simple::Header)
BuildRequires: perl(Encode) >= 1.980.100
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(MIME::Base64)
BuildRequires: perl(MIME::Types) >= 1.130.0
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Symbol)
BuildRequires: perl(Test::More) >= 0.960.0
BuildRequires: perl(parent)
BuildRequires: perl(strict)
BuildRequires: perl(utf8)
BuildRequires: perl(warnings)
BuildArch:  noarch

Obsoletes:  perl-Email-MIME-Creator <= 1.456.0
Provides:   perl-Email-MIME-Creator  = 1.456.0
Obsoletes:  perl-Email-MIME-Modifier <= 1.444.0
Provides:   perl-Email-MIME-Modifier  = 1.444.0

Requires:   perl(Email::Simple)
%description
This is an extension of the Email::Simple module, to handle MIME encoded
messages. It takes a message as a string, splits it up into its constituent
parts, and allows you access to various parts of the message. Headers are
decoded from MIME encoding.

%prep
%setup -q -n %{upstream_name}-%{upstream_version} 

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make

%{__make} test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{perl_vendorlib}/Email
%{_mandir}/*/*

%changelog
* Wed Jul 12 2017 bb2 <bb2> - 1.937.0-3pclos2017
- rebuild against updates

